@import '_content/Microsoft.FluentUI.AspNetCore.Components/Microsoft.FluentUI.AspNetCore.Components.lcdo7z9xd2.bundle.scp.css';

/* /Components/Layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-p4jw4z87kw] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-p4jw4z87kw] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-81p5u9t721],
.components-reconnect-repeated-attempt-visible[b-81p5u9t721],
.components-reconnect-failed-visible[b-81p5u9t721],
.components-pause-visible[b-81p5u9t721],
.components-resume-failed-visible[b-81p5u9t721],
.components-rejoining-animation[b-81p5u9t721] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-81p5u9t721],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-81p5u9t721],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-81p5u9t721],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-81p5u9t721],
#components-reconnect-modal.components-reconnect-retrying[b-81p5u9t721],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-81p5u9t721],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-81p5u9t721],
#components-reconnect-modal.components-reconnect-failed[b-81p5u9t721],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-81p5u9t721] {
    display: block;
}

#components-reconnect-modal[b-81p5u9t721] {
    background-color: var(--neutral-layer-floating);
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-81p5u9t721 0.5s both;
    &[open] {
        animation: components-reconnect-modal-slideUp-b-81p5u9t721 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-81p5u9t721 0.5s ease-in-out 0.3s;
        animation-fill-mode: both;
    }
}

#components-reconnect-modal[b-81p5u9t721]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-81p5u9t721 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-81p5u9t721 {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-81p5u9t721 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-81p5u9t721 {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-81p5u9t721] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-81p5u9t721] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-81p5u9t721] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

#components-reconnect-modal button:hover[b-81p5u9t721] {
    background-color: #3b6ea2;
}

#components-reconnect-modal button:active[b-81p5u9t721] {
    background-color: #6b9ed2;
}

.components-rejoining-animation[b-81p5u9t721] {
    position: relative;
    width: 80px;
    height: 80px;
}

.components-rejoining-animation div[b-81p5u9t721] {
    position: absolute;
    border: 3px solid var(--accent-fill-active);
    opacity: 1;
    border-radius: 50%;
    animation: components-rejoining-animation-b-81p5u9t721 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

.components-rejoining-animation div:nth-child(2)[b-81p5u9t721] {
    animation-delay: -0.5s;
}

@keyframes components-rejoining-animation-b-81p5u9t721 {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/Circuit.razor.rz.scp.css */
[b-smf12iargv] fluent-tabs::part(activeIndicator) {
    width: 100%;
}
/* /Components/Pages/CircuitNewsCard.razor.rz.scp.css */
.news-card[b-mqm8kzj7ts] {
    width: 100%;
    position: relative;
    text-shadow: 0 0 2px black;
    color: white;
    border-radius: 10px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-items: end;
    border: 1px solid #2F3E46;
}

.news-card .card-background[b-mqm8kzj7ts] {
    background: radial-gradient(circle at 10% 20%, rgba(232, 93, 117, 0.8) 0%, rgba(244, 162, 97, 0.8) 90%);
    background-size: cover;
    width: 100%;
    height: 100%;
    position: absolute;
    filter: blur(1px);
}

.news-card .card-content[b-mqm8kzj7ts] {
    padding: 15px;
    position: relative;
    flex-grow: 1;
}

.news-published-at[b-mqm8kzj7ts] {
    font-size: var(--type-ramp-minus-1-font-size);
    text-transform: uppercase;
    font-weight: bold;
}
/* /Components/Pages/CircuitRaceCard.razor.rz.scp.css */
.race-card[b-sfqch71lwl] {
    width: 100%;
    position: relative;
    text-shadow: 0 0 2px black;
    color: white;
    border-radius: 10px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-items: end;
    border: 1px solid dimgray;
}

.race-card .card-background[b-sfqch71lwl] {
    background: radial-gradient(circle at 10% 20%, rgba(0, 93, 133, 0.8) 0%, rgba(0, 181, 149, 0.8) 90%), url(/images/running-bg.jpg);
    background-position: center;
    background-size: cover;
    width: 100%;
    height: 100%;
    position: absolute;
    filter: blur(1px);
}

.race-cancelled .card-background[b-sfqch71lwl] {
    filter: grayscale(1);
}

.race-card .card-header[b-sfqch71lwl] {
    color: white;
    position: relative;
    padding: 10px 15px;
    background-color: var(--accent-color-blue);
}

.race-card .card-federation[b-sfqch71lwl] {
    position: absolute;
    top: 50px;
    right: 15px;
}

.race-card .card-content[b-sfqch71lwl] {
    padding: 15px;
    position: relative;
    flex-grow: 1;
}

.race-card .card-sport[b-sfqch71lwl] {
    position: absolute;
    right: 15px;
}

.race-organizer[b-sfqch71lwl] {
    font-size: var(--type-ramp-minus-1-font-size);
    text-transform: uppercase;
    font-weight: bold;
    margin-bottom: 0;
}

.race-name[b-sfqch71lwl] {
    font-size: var(--type-ramp-plus-3-font-size);
    font-weight: lighter;
    margin-bottom: 0.5rem;
}

.race-card .race-info-container-icon[b-sfqch71lwl],
.race-card .race-info-container-text[b-sfqch71lwl] {
    display: inline-block;
    vertical-align: middle;
}

.card-header-link[b-sfqch71lwl] {
    text-decoration: none;
}

.race-cancelled-label[b-sfqch71lwl] {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    transform: rotate(45deg);
    transform-origin: top right;
    z-index: 10;
    padding: 80px 0;
}

.race-cancelled-label span[b-sfqch71lwl] {
    display: block;
    background: crimson;
    text-transform: uppercase;
    color: white;
    text-align: center;
    font-weight: bold;
    padding: 8px 0;
    box-shadow: 0 2px 6px rgba(0,0,0,0.3);
    width: 200%;
    font-size: 16px;
}
